org.apache.fop.render.pdf.pdfbox

## Class FOPPDFMultiByteFont

- java.lang.Object
- - org.apache.fop.fonts.Typeface
  - - org.apache.fop.fonts.CustomFont
    - - org.apache.fop.fonts.CIDFont
      - - org.apache.fop.fonts.MultiByteFont
        - - org.apache.fop.render.pdf.pdfbox.FOPPDFMultiByteFont

- All Implemented Interfaces:
    org.apache.fop.complexscripts.fonts.Positionable, org.apache.fop.complexscripts.fonts.Substitutable, org.apache.fop.fonts.FontDescriptor, org.apache.fop.fonts.FontMetrics, org.apache.fop.fonts.MutableFont

      public class FOPPDFMultiByteFont
      extends org.apache.fop.fonts.MultiByteFont

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.fop.pdf.PDFDictionary` | `ref`

    - ### Fields inherited from class org.apache.fop.fonts.MultiByteFont

      `boundingBoxes, cidSet`

    - ### Fields inherited from class org.apache.fop.fonts.CIDFont

      `width`

    - ### Fields inherited from class org.apache.fop.fonts.CustomFont

      `additionalEncodings, cmap, svgs, unencodedCharacters`

    - ### Fields inherited from class org.apache.fop.fonts.Typeface

      `eventListener, NOT_FOUND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FOPPDFMultiByteFont(org.apache.pdfbox.cos.COSDictionary fontData, java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `addFont(org.apache.pdfbox.cos.COSDictionary fontData)`
    `protected FontContainer` | `getFont(org.apache.pdfbox.cos.COSDictionary fontData)`
    `java.lang.String` | `getFontName()`
    `java.io.InputStream` | `getInputStream()`
    `java.lang.String` | `getMappedWord(java.util.List<java.lang.String> word, byte[] bytes, FontContainer oldFont)`
    `org.apache.fop.pdf.PDFDictionary` | `getRef()`
    `java.util.Map<java.lang.Integer,java.lang.Integer>` | `getWidthsMap()`
    `boolean` | `isEmbeddable()`
    `protected static void` | `mergeMaxp(org.apache.fontbox.ttf.TrueTypeFont ttf, MaximumProfileTable outMaxp)`
    `protected static void` | `setProperties(org.apache.fop.fonts.CustomFont cFont, org.apache.pdfbox.pdmodel.font.PDFont font)`
    `void` | `setRef(org.apache.fop.pdf.PDFDictionary d)`
    `int` | `size()`

    - ### Methods inherited from class org.apache.fop.fonts.MultiByteFont

      `addPrivateUseMapping, charSequenceToGlyphSequence, findGlyphIndex, getBoundingBox, getChars, getCIDSet, getCIDType, getCmapStream, getDefaultWidth, getEmbedFontName, getEncodingName, getGDEF, getGIDFromChar, getGlyphIndices, getGPOS, getGSUB, getOrdering, getRegistry, getSupplement, getSVG, getTTCName, getUnicodeFromGID, getUnscaledWidths, getUsedGlyphNames, getUsedGlyphs, getWidth, getWidths, hasChar, hasCodePoint, hasFeature, isOTFFile, isSubsetEmbedded, mapChar, mapCodePoint, mapUsedGlyphName, performPositioning, performPositioning, performsPositioning, performsSubstitution, performSubstitution, reorderCombiningMarks, setBBoxArray, setCIDType, setDefaultWidth, setGDEF, setGPOS, setGSUB, setIsOTFFile, setTTCName, setWidthArray`

    - ### Methods inherited from class org.apache.fop.fonts.CIDFont

      `isMultiByte`

    - ### Methods inherited from class org.apache.fop.fonts.CustomFont

      `addUnencodedCharacter, getAdditionalEncoding, getAdditionalEncodingCount, getAscender, getAscender, getCapHeight, getCapHeight, getCMap, getDescender, getDescender, getEmbeddingMode, getEmbedFileURI, getEmbedResourceName, getFamilyNames, getFirstChar, getFlags, getFontBBox, getFontName, getFontSubName, getFontType, getFontURI, getFullName, getItalicAngle, getKerningInfo, getLastChar, getMissingWidth, getSimulateStyle, getStemV, getStrikeoutPosition, getStrikeoutThickness, getStrippedFontName, getUnderlinePosition, getUnderlineThickness, getWeight, getXHeight, hasAdditionalEncodings, hasKerningInfo, hasSVG, isAdvancedEnabled, isKerningEnabled, isSymbolicFont, mapUnencodedChar, putKerningEntry, replaceKerningMap, setAdvancedEnabled, setAscender, setCapHeight, setCMap, setDescender, setEmbeddingMode, setEmbedResourceName, setEmbedURI, setFamilyNames, setFirstChar, setFlags, setFontBBox, setFontName, setFontSubFamilyName, setFontType, setFontURI, setFullName, setItalicAngle, setKerningEnabled, setLastChar, setMissingWidth, setSimulateStyle, setStemV, setStrikeoutPosition, setStrikeoutThickness, setSVG, setUnderlinePosition, setUnderlineThickness, setWeight, setXHeight`

    - ### Methods inherited from class org.apache.fop.fonts.Typeface

      `getMaxAscent, hadMappingOperations, isCID, notifyMapOperation, setEventListener, toString, warnMissingGlyph`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.fop.fonts.FontMetrics

      `getMaxAscent`

- - ### Field Detail

    - #### ref

          protected org.apache.fop.pdf.PDFDictionary ref

  - ### Constructor Detail

    - #### FOPPDFMultiByteFont

          public FOPPDFMultiByteFont(org.apache.pdfbox.cos.COSDictionary fontData,
                                     java.lang.String name)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### addFont

          public java.lang.String addFont(org.apache.pdfbox.cos.COSDictionary fontData)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getWidthsMap

          public java.util.Map<java.lang.Integer,java.lang.Integer> getWidthsMap()

      Overrides:
        `getWidthsMap` in class `org.apache.fop.fonts.MultiByteFont`

    - #### getRef

          public org.apache.fop.pdf.PDFDictionary getRef()

    - #### setRef

          public void setRef(org.apache.fop.pdf.PDFDictionary d)

    - #### size

          public int size()

    - #### isEmbeddable

          public boolean isEmbeddable()

      Specified by:
        `isEmbeddable` in interface `org.apache.fop.fonts.FontDescriptor`
      Overrides:
        `isEmbeddable` in class `org.apache.fop.fonts.MultiByteFont`

    - #### getInputStream

          public java.io.InputStream getInputStream()
                                             throws java.io.IOException

      Overrides:
        `getInputStream` in class `org.apache.fop.fonts.CustomFont`
      Throws:
        `java.io.IOException`

    - #### getFont

          protected FontContainer getFont(org.apache.pdfbox.cos.COSDictionary fontData)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setProperties

          protected static void setProperties(org.apache.fop.fonts.CustomFont cFont,
                                              org.apache.pdfbox.pdmodel.font.PDFont font)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### mergeMaxp

          protected static void mergeMaxp(org.apache.fontbox.ttf.TrueTypeFont ttf,
                                          MaximumProfileTable outMaxp)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getMappedWord

          public java.lang.String getMappedWord(java.util.List<java.lang.String> word,
                                                byte[] bytes,
                                                FontContainer oldFont)

    - #### getFontName

          public java.lang.String getFontName()

Copyright 2007-2024 The Apache Software Foundation. All Rights Reserved.